import React from "react";
import { RouteDefinition } from "../../interfaces/route-definition";
import { UnmatchedRoute } from "../../interfaces/unmatched-route";
import { AuthenticatedRoute } from "../../interfaces/authenticated-route";
interface NestedRoutesProps extends UnmatchedRoute, AuthenticatedRoute {
    routes: RouteDefinition[];
}
declare const NestedRoutes: React.FC<NestedRoutesProps>;
export { NestedRoutes, NestedRoutesProps };
